package com.sun.org.apache.xml.internal.serializer.dom3;

import org.w3c.dom.DOMLocator;
import org.w3c.dom.DOMError;

final class DOMErrorImpl implements DOMError
{
    private short fSeverity;
    private String fMessage;
    private String fType;
    private Exception fException;
    private Object fRelatedData;
    private DOMLocatorImpl fLocation;
    
    DOMErrorImpl() {
        this.fSeverity = 1;
        this.fMessage = null;
        this.fException = null;
        this.fLocation = new DOMLocatorImpl();
    }
    
    DOMErrorImpl(short severity, String message, String type) {
        this.fSeverity = 1;
        this.fMessage = null;
        this.fException = null;
        this.fLocation = new DOMLocatorImpl();
        this.fSeverity = severity;
        this.fMessage = message;
        this.fType = type;
    }
    
    DOMErrorImpl(short severity, String message, String type, Exception exception) {
        this.fSeverity = 1;
        this.fMessage = null;
        this.fException = null;
        this.fLocation = new DOMLocatorImpl();
        this.fSeverity = severity;
        this.fMessage = message;
        this.fType = type;
        this.fException = exception;
    }
    
    DOMErrorImpl(short severity, String message, String type, Exception exception, Object relatedData, DOMLocatorImpl location) {
        this.fSeverity = 1;
        this.fMessage = null;
        this.fException = null;
        this.fLocation = new DOMLocatorImpl();
        this.fSeverity = severity;
        this.fMessage = message;
        this.fType = type;
        this.fException = exception;
        this.fRelatedData = relatedData;
        this.fLocation = location;
    }
    
    @Override
    public short getSeverity() {
        return this.fSeverity;
    }
    
    @Override
    public String getMessage() {
        return this.fMessage;
    }
    
    @Override
    public DOMLocator getLocation() {
        return this.fLocation;
    }
    
    @Override
    public Object getRelatedException() {
        return this.fException;
    }
    
    @Override
    public String getType() {
        return this.fType;
    }
    
    @Override
    public Object getRelatedData() {
        return this.fRelatedData;
    }
    
    public void reset() {
        this.fSeverity = 1;
        this.fException = null;
        this.fMessage = null;
        this.fType = null;
        this.fRelatedData = null;
        this.fLocation = null;
    }
}
